# Uses of Interface
org.w3c.dom.DOMImplementation

Packages that use DOMImplementation
Package
Description
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).
org.w3c.dom.bootstrap
Provides a factory for obtaining instances of `DOMImplementation`.
org.w3c.dom.css
Provides interfaces for DOM Level 2 Style Specification.
org.w3c.dom.html
Provides interfaces for DOM Level 2 HTML Specification.

## Uses of DOMImplementation in javax.xml.parsers

Methods in javax.xml.parsers that return DOMImplementation
Modifier and Type
Method
Description
`abstract DOMImplementation`
DocumentBuilder.`getDOMImplementation()`
Obtain an instance of a `DOMImplementation` object.

## Uses of DOMImplementation in org.w3c.dom

Methods in org.w3c.dom that return DOMImplementation
Modifier and Type
Method
Description
`DOMImplementation`
DOMImplementationSource.`getDOMImplementation(String features)`
A method to request the first DOM implementation that supports the specified features.
`DOMImplementation`
Document.`getImplementation()`
The `DOMImplementation` object that handles this document.
`DOMImplementation`
DOMImplementationList.`item(int index)`
Returns the `index`th item in the collection.

## Uses of DOMImplementation in org.w3c.dom.bootstrap

Methods in org.w3c.dom.bootstrap that return DOMImplementation
Modifier and Type
Method
Description
`DOMImplementation`
DOMImplementationRegistry.`getDOMImplementation(String features)`
Return the first implementation that has the desired features, or `null` if none is found.

## Uses of DOMImplementation in org.w3c.dom.css

Subinterfaces of DOMImplementation in org.w3c.dom.css
Modifier and Type
Interface
Description
`interface`
`DOMImplementationCSS`
This interface allows the DOM user to create a `CSSStyleSheet` outside the context of a document.

## Uses of DOMImplementation in org.w3c.dom.html

Subinterfaces of DOMImplementation in org.w3c.dom.html
Modifier and Type
Interface
Description
`interface`
`HTMLDOMImplementation`
The `HTMLDOMImplementation` interface extends the `DOMImplementation` interface with a method for creating an HTML document instance.